/* --- ESTILOS RESPONSIVE --- */
@media (max-width: 768px) {
    
 
 .navbar::before{
    left: 50%;
    width: 50%;
    height: 100%;
    background: linear-gradient(45deg, rgb(0 122 51 / 75%), rgb(214 40 40 / 83%));
    transform: skew(0deg);
    z-index: -1;
 }
 
 
 
 
  .carrito-panel {
    width: 100%;
    right: -100%;
    box-shadow: none;
  }
    
  .navbar {
    flex-wrap: wrap;
    padding-top: 0px;
    padding-left: 0px;
    padding-right: 0px;
    padding-bottom: 0px;

   /* padding: 0px 20px 0px 20px;*/
   
  }

  .logo_navbar {
    margin-left: 0;
    width: 75px;
    height: 65px;
  }

  .logo_navbar img {
    width: 100%;
    height: 100%;
    transform: scale(1);
    padding-top: 15px;
    padding-bottom: 0px;
    margin-left: 20px ;
  }

  .navbar_menu{
    margin-top: 10px; 
    display: flex;
    gap: 40px;
    align-items: center;
    justify-content: center;
    margin-right:20px;
  }

  .navbar_menu_items {
    display: none;
  }

  .navbar_menu_phone {
    display: flex;
  }

  .carrito_compras_phone{
  display: flex;
  
 }

.carrito_compras_phone{
  position: relative;
}

.carrito_compras_phone svg{
   fill: var(--verde-oscuro);
   margin-bottom: 5px;
}

.carrito_compras_phone:hover{
  cursor: pointer;
}

  .navbar_menu_items_phone {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: var(--color-secundario);
    text-align: center;
    gap: 15px;
    padding: 10px 0;
    border-top: 1px solid rgba(0,0,0,0.1);
    transition: max-height 0.4s ease;
    overflow: hidden;
    max-height: 0;
  }

  .navbar_menu_items_phone.activo {
    max-height: 300px;
  }

  .navbar_menu_items_phone a {
    color: var(--verde-oscuro);
    font-size: 1rem;
    font-weight: bold;
    text-decoration: none;
  }

  .contenedor_imagenes_carrusel {
    width: 500%; /* mantenemos el 500% */
    height: 50vh; /* reducimos altura para móviles */
  }
  
  .carrusel_imagenes{
  margin-top:80px;
}

  .contenedor_imagenes_carrusel picture {
    width: 20%;
    object-fit: cover	;
    object-position: center;
  }

  .contenedor_imagenes_carrusel img {
    width: 100%; /* igual que escritorio */
    height: 100%;
    object-fit: cover; /* mantiene el “zoom” sin deformar */
  }

.indicador {
  width: 19px;
  height: 5px;
 }

 .contador_carrito_phone{
  font-size: 0.65rem;
 }

 /*Productos Destacadaos*/
.seccion_catalogo {
  padding: 80px 30px;
  background-color: var(--beige);
}
.texto_catalogo h2 {
    font-size: 1.5rem;
    color: var(--verde_marron-oscuro);
    text-align: center;
}

.texto_catalogo span{
  font-size: 1rem;
}


.Boton_catalogo_tienda{
  display: flex;
  width: 143px;
  height: 56px;
  font-size: 16px;
}

.catalogo-container {
  max-width: 500px;
}

.catalogo-container {
  transition: none;
}

.catalogo-container:hover {
  transform: none;
}

 .catalogo {
    grid-template-columns: 1fr; /* Dos columnas */
    gap: 0.8rem;
    padding: 0.5rem;
  }

.barra_catalogo{
 margin: auto;
 padding: 0.5rem;
 background-color: #d7a800;
 width: 85%;
 height: 2px;
 margin-bottom: 20px;
}

 .product-card {
  width: 100%; /* 🔹 se adapta al contenedor */
  max-width: 250px;
  border-radius: 15px;
  background: #fbfbea;
  box-shadow: 0 2px 10px rgba(0,0,0,0.08);
  overflow: hidden;
  text-align: center;
  transition: transform 0.3s ease;
  position: relative;
}

.product-card {
    max-width: 220px;
    position: static;
  }
  .contenedor_imagen {
    height: 220px;
  }
  .product-info .product-info-Name {
    font-size: 0.9rem;
  }
  .product-info .product-info-price {
    font-size: 0.9rem;
  }

  .add_car{
    
    bottom: 10px;
  }

.add_car{
 position: relative;
 bottom: 10px;
  left: 0;
  width: 100%;
  height: 42px;
  background: #fbfbea;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: bottom 0.3s ease;
  /* border-top: 1px solid #eee; */
  }
/*fin productos destacados*/

/*quienes somos*/
.about {
  padding: 10px 30px;
}

.about-content {
    flex-direction: column;
    text-align: center;
    gap: 15px;
  }

  .about-text {
    text-align: center;
  }

  .about-image img {
    max-width: 90%;
  }

 .about-text h2 {
  font-size: 1.5rem;
  color: var(--verde_marron-oscuro);
  margin-bottom: 25px;
}

.about-text p {
  font-size: 1.0rem;
  line-height: 1.7;
  color: var(--gris);
}
/*fin quienes somos*/

/*Punto de venta*/

.titulo-seccion {
  font-size: 1.5rem;
}
.container_mapa {
  display: flex;
  flex-direction: column;
}

.mapa-card {
  width: 320px;
}
/*Fin Punto de venta*/

/*footer*/
.footer-contacto h3{
  text-align: center;
}



.footer-contacto p{
  font-size: 1rem;
  justify-content: left;
}

.footer-Redes p{
  font-size: 0.9rem;
  justify-content: left;
}

.footer-contacto hr,
.footer-Redes hr {
  width: 100%;
}

.footer-logos img {
  height: 55px;
  object-fit: contain;
}

.footer_derechos{
  font-size: 0.9rem; 
}
/**/

@media (max-width: 480px) {
  .carrusel_imagenes {
    height: 45vh;
  }

  .marca_agua {
    width: 150px;
  }

  .navbar_menu_items_phone a {
    font-size: 0.9rem;
  }
}

}
